import { searchCriteria, updateCriteria } from './types/criteriaTypes';
import { Primitive } from './types/PrimitiveTypes';
declare global {
    interface Array<T> {
        deleteOneByValue(searchCriteria: searchCriteria | any): any;
        deleteAllByValue(target: any): any[];
        deleteOneWhere(searchCriteria: searchCriteria): any;
        deleteAllWhere(searchCriteria: searchCriteria): any[];
        filterNullish(): T[];
        distinct(): T[];
        isEmpty(): boolean;
        isUnique(): boolean;
        groupBy(...keys: T[]): Record<string, T[]>;
        allElementsOfType(dataType: any): boolean;
        countBy(...keys: T[]): Record<string, number>;
        countValues(...keys: Primitive[]): Record<string, number>;
        union(arr: T[]): T[];
        intersect(arr: T[]): T[];
        sample(): T | undefined;
        difference(...arr: Array<T[]>): T[];
        findAllByValueAndReplace(target: T, replaceValue: any): number[] | undefined;
        findAllByValueAndUpdate(target: T, updateCriteria: updateCriteria): any[] | undefined;
        findByValueAndReplace(target: T, replaceValue: any): number | undefined;
        findByValueAndUpdate(target: T, updateCriteria: updateCriteria): any | undefined;
        updateMany(searchCriteria: searchCriteria, updateCriteria: updateCriteria): any[] | undefined;
        updateOne(searchCriteria: searchCriteria, updateCriteria: updateCriteria): any | undefined;
        replaceMany(searchCriteria: searchCriteria, replaceValue: any): number[] | undefined;
        replaceOne(searchCriteria: searchCriteria, replaceValue: any): number | undefined;
    }
}
export declare function config(): void;
