"use strict";
/**
 * This function will find and replace a  target with another element
 * @param searchCriteria the callback function that will return true for the element to be replaced
 * @param replaceValue the value to be replaced
 * @returns undefined if no element was found or the replaced value's index.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.replaceOne = void 0;
function replaceOne(searchCriteria, replaceValue) {
    let index = this.findIndex(searchCriteria);
    if (index == -1)
        return;
    this[index] = replaceValue;
    return index;
}
exports.replaceOne = replaceOne;
