"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isUnique = void 0;
/**
 * Checks if all elements in the array are unique
 * @returns true if all elements are unique, false otherwise
 */
function isUnique() {
    return new Set(this.map(el => JSON.stringify(el))).size === this.length;
}
exports.isUnique = isUnique;
