/**
 * Groups array of objects by given key
 * @param key key to group by
 * @returns Object with grouped key's values as properties and grouped values as arrays
 */
interface MyObject {
    [key: string]: any;
}
export declare function groupBy<T extends MyObject>(this: T[], key: string): Record<string, T[]>;
export {};
