/**
 * This function will find and update all the elements that matches the target value.
 * @param target the target value to be updated.
 * @param updateCriteria the callback function that will update the element
 * @returns undefined if no element was found or the updated elements
 */
export declare function findAllByValueAndUpdate<T>(this: T[], target: T, updateCriteria: Function): T[] | undefined;
