/**
 * This function will find and update an given value from the array
 * @param target the value to be updated
 * @param updateCriteria the callback function that will update the element
 * @returns undefined if no element was found or the updated element
 */
export declare function findByValueAndUpdate<T>(this: T[], target: T, updateCriteria: Function): T | undefined;
