/**
 * This function will find and update all the elements that returns true for the searchCriteria
 * @param searchCriteria the callback function that will return true for the element to be replaced
 * @param replaceValue the value to be replaced
 * @returns undefined if no element was found or the replaced value's indexes
 */
type searchCriteria = (value: any) => unknown;
export declare function replaceMany<T>(this: T[], searchCriteria: searchCriteria, replaceValue: any): number[] | undefined;
export {};
