"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sample = void 0;
/**
 * Returns a random element from the array.
 * @template T
 * @returns {T | undefined} A random element from the input array, or undefined if the input array is empty.
 */
function sample() {
    if (this.length === 0) {
        return undefined;
    }
    const randomIndex = Math.floor(Math.random() * this.length);
    return this[randomIndex];
}
exports.sample = sample;
