"use strict";
/**
 * This function will find and update all the elements that returns true for the searchCriteria
 * @param searchCriteria the callback function that will return true for the element to be replaced
 * @param replaceValue the value to be replaced
 * @returns undefined if no element was found or the replaced value's indexes
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.replaceMany = void 0;
function replaceMany(searchCriteria, replaceValue) {
    const udpatedElements = [];
    for (let i = 0; i < this.length; i++) {
        if (searchCriteria(this[i])) {
            this[i] = replaceValue;
            udpatedElements.push(i);
        }
    }
    return udpatedElements.length > 0 ? udpatedElements : undefined;
}
exports.replaceMany = replaceMany;
