"use strict";
/**
 * This function will find and update all the elements that returns true for the searchCriteria
 * @param searchCriteria the callback function that will return true for the element to be updated
 * @param updateCriteria the callback function that will update the element
 * @returns undefined if no element was found or the updated elements
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateMany = void 0;
function updateMany(searchCriteria, updateCriteria) {
    const udpatedElements = [];
    for (let i = 0; i < this.length; i++) {
        if (searchCriteria(this[i])) {
            updateCriteria(this[i]);
            udpatedElements.push(this[i]);
        }
    }
    return udpatedElements.length > 0 ? udpatedElements : undefined;
}
exports.updateMany = updateMany;
